[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [eclipselink-dev] Missing requirement: org.eclipse.persistence.corba

hmm, few more things to check:
does it happen on jdk 8?
does it happen also for 'build' or 'clean build' or just for 'clean'?
what exact version of jdk11 it is? Is it 11.0.2?
what is the content of ~/.m2/repository/org/glassfish/corba/glassfish-corba-omgapi/4.2.0/glassfish-corba-omgapi-4.2.0.jar!/META-INF/MANIFEST.MF? does it contain javax.rmi package in export-package section?
does it happen with empty local maven repo? (mv $HOME/.m2/repository $HOME/.m2/repository-bkp)


thanks,
--lukas

On 4/3/19 8:12 AM, Lukas Jungmann wrote:
Hi,

 ÂMe, Travis nor Hudson are seeing this. Can you share more details about your environment? Is it the same Travis is using (JDK 8 or 11, maven 3.6.0, ant 1.10.2+)? Is the problem reproducible on Âclean master or in your branch only?

Thanks,
âlukas

2. 4. 2019 vÂ23:28, William Dazey <dazeydev.3@xxxxxxxxx <mailto:dazeydev.3@xxxxxxxxx>>:

Hello!

I updated my master branch to the latest, but I am unable to build due to the following exception:

ÂÂÂÂ [java] [INFO] Resolving dependencies of MavenProject: org.eclipse.persistence:org.eclipse.persistence.corba:3.0.0-SNAPSHOT @ C:\JPA\EL\master\trunk\eclipselink.runtime\foundation\org.eclipse.persistence.corba\pom.xml
ÂÂÂÂ [java] [INFO] {osgi.os=linux, osgi.ws <http://osgi.ws>=gtk, org.eclipse.update.install.features=true, osgi.arch=x86_64}
ÂÂÂÂ [java] [ERROR] Cannot resolve project dependencies:
ÂÂÂÂ [java] [ERROR]ÂÂ Software being installed: org.eclipse.persistence.corba 3.0.0.qualifier
ÂÂÂÂ [java] [ERROR]ÂÂ Missing requirement: org.eclipse.persistence.corba 3.0.0.qualifier requires 'java.package; javax.rmi 1.0.0' but it could not be found
ÂÂÂÂ [java] [ERROR]
ÂÂÂÂ [java] [ERROR] See http://wiki.eclipse.org/Tycho/Dependency_Resolution_Troubleshooting for help.
ÂÂÂÂ [java] [ERROR] Cannot resolve dependencies of MavenProject: org.eclipse.persistence:org.eclipse.persistence.corba:3.0.0-SNAPSHOT @ C:\JPA\EL\master\trunk\eclipselink.runtime\foundation\org.eclipse.persistence.corba\pom.xml: See log for details -> [Help 1]
ÂÂÂÂ [java] [ERROR]
---------
maven version: 3.6.0
ant version: 1.10
java version: 11
command: ant -f antbuild.xml clean
--------
I back tracked commits to https://github.com/eclipse-ee4j/eclipselink/pull/275 when this exception started occurring.
Has anyone seen this exception or know why I am hitting this?


Thanks,
Will Dazey
_______________________________________________
eclipselink-dev mailing list
eclipselink-dev@xxxxxxxxxxx <mailto:eclipselink-dev@xxxxxxxxxxx>
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://www.eclipse.org/mailman/listinfo/eclipselink-dev

_______________________________________________ eclipselink-dev mailing list eclipselink-dev@xxxxxxxxxxx To change your delivery options, retrieve your password, or unsubscribe from this list, visit https://www.eclipse.org/mailman/listinfo/eclipselink-dev